### Method

# Gdk Dropread_finish

#### Declaration [src]

    GInputStream*
    gdk_drop_read_finish (
      GdkDrop* self,
      GAsyncResult* result,
      const char** out_mime_type,
      GError** error
    )

#### Description [src]

Finishes an async drop read operation.

Note that you must not use blocking read calls on the returned stream in the GTK thread, since some platforms might require communication with GTK to complete the data transfer. You can use async APIs such as g_input_stream_read_bytes_async().

See `gdk_drop_read_async()`.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`

  The data is owned by the caller of the method.

`out_mime_type`

  Type: `const char**`

  Return location for the used mime type.

  The argument will be set by the function.
  The data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInputStream`

The `GInputStream`

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.